package edu.unl.consystlab.gui;

import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

import javax.swing.JFrame;

public class ClosingJFrame extends JFrame
{

    public ClosingJFrame()
    {

        super("Unnamed ClosingJFrame");
    }

    public ClosingJFrame(String title)
    {

        super(title);

        this.addWindowListener(new WindowAdapter()
        {
            public void windowClosing(WindowEvent e)
            {

                System.exit(-1);
            }
        });

    }
}